import React, { PureComponent } from 'react';
import styled from 'styled-components';
import PropTypes from 'prop-types';

const Wrapper = styled.div`
    padding-right: 20px;
    width: 40px;
`;

const Logo = styled.img`
    width: ${props => (props.hasLongIcon ? '15px' : '23px')};
    margin-left: ${props => (props.hasLongIcon ? '3px' : '0px')};
    display: block;
`;

class CoinLogo extends PureComponent {
    constructor() {
        super();
        this.longIcons = ['etc', 'eth', 'trop'];
    }

    hasLongIcon(network) {
        let hasLongIcon = false;
        if (this.longIcons.includes(network)) {
            hasLongIcon = true;
        }
        return hasLongIcon;
    }

    render() {
        const { network } = this.props;
        return (
            <Wrapper>
                <Logo
                    hasLongIcon={this.hasLongIcon(network)}
                    src={require(`./images/${network}.png`)} // eslint-disable-line
                />
            </Wrapper>
        );
    }
}

CoinLogo.propTypes = {
    network: PropTypes.string,
};

export default CoinLogo;
